import React, { Component } from 'react';
import { Flex, WhiteSpace, NavBar, List } from 'antd-mobile';
import './index.scss';
import Avatar from './image/avatar.png';

const Item = List.Item;
const Brief = Item.Brief;

class My extends Component {

    render() {
        return (
            <div className="flex-container">
                <Flex>
                    <Flex.Item>
                        <NavBar
                            className="my-tab"
                            mode="light"
                        >
                            我的
                        </NavBar>
                        <List className="my-list">
                            <Item 
                                className="avatar-wrap" 
                                arrow="horizontal" 
                                multipleLine 
                                thumb={Avatar}
                                onClick={() => { }}>
                                <Brief>点击登录</Brief>
                            </Item>
                        </List>
                        <List renderHeader={() => ''} className="my-list">
                            <Item 
                                arrow="horizontal" 
                                onClick={() => { }}
                                >
                                <i className="iconfont iconiconfront-27"></i>
                                已购课程
                            </Item>
                            <Item 
                                arrow="horizontal" 
                                onClick={() => { }}
                                >
                                购物车
                            </Item>
                            <Item 
                                arrow="horizontal" 
                                onClick={() => { }}
                                >
                                课程订单
                            </Item>
                            <Item 
                                arrow="horizontal" 
                                onClick={() => { }}
                                >
                                优惠券
                            </Item>
                            <Item 
                                arrow="horizontal" 
                                onClick={() => { }}
                            >
                                赚奖学金
                            </Item>
                            
                        </List>
                    </Flex.Item>
                </Flex>
                <WhiteSpace size="lg" />
            </div>
        )
    }

}

export default My;