import React, { Component } from 'react';
import { Flex, NavBar } from 'antd-mobile';
import { VList } from '@/common/index'

import "./order.scss"

const mockData = [
  {
    title: '三月面试求职班',
    imgUrl: 'https://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/4c5ccac604.jpg',
    contact: 'QQ群：449141326',
    time: '03月12日',
    record: '学习到第2课2分33秒'
  }
]


function orderList(props) {
  const orderList = props.list;
  return (
    <ul>
      {
        orderList.map((item, index) =>
          <VList handleClick={this.handleClick} {...item} key={index} ></VList>
        )
      }
    </ul>
  );
}

class Order extends Component {
  constructor(props) {
    super(props);
    this.state = {
     
    }
  }
  handleClick = () => {
    console.log(1);
  }
  addCourseClick = () => {
    console.log(2);
  }

    render() {
        return (
          <div className="order-wrapper">
            <Flex>
              <Flex.Item>
                <NavBar
                  style={{"height": "44px"}}
                  className="order-tab"
                  mode="light"
                  icon={<i className="iconfont iconiconfront-68"></i>}
                >
                  课程报名
                </NavBar>
                <div className="order-information">
                  <i className="iconfont iconiconfront-6 order-addsize"></i>
                  <div className="order-info">完善报名信息</div>
                  <i className="iconfont iconiconfront-70 order-next"></i>
                </div>
                <div className="order-content">
                  <ul>
                    <orderList list={mockData} />
                  </ul>
                </div>
              </Flex.Item>
            </Flex>
          </div>
      
        )
    }

}

export default Order;