import React, { Component } from 'react';
import { Flex, NavBar, List } from 'antd-mobile';
import { VList } from '@/common/index'

import "./order.scss"

const Item = List.Item;

const mockData = [
  {
    title: '三月面试求职班',
    imgUrl: 'https://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/4c5ccac604.jpg',
    content: '涵盖ML主流算法及其应用-文字超过一行换行',
    newprice: '980',
    price: '1280',
    id: '110'
  }
]


function OrderList(props) {
  const listData = props.list;
  return (
    <ul>
      {
        listData.map((item, index) => {
          const Info = (
            <div className="order-info">
              <p className='order-title'>{item.title}</p>
              <p className='order-content'>{item.content}</p>
              <p className='order-des'>
                <span className='order-newprice'>¥{item.newprice}</span>
                <span className='order-price'>¥{item.price}</span>
              </p>
            </div>
          )
          const Tab = (
            <div className="order-info">
              <p className='order-title'>{item.title}</p>
              <p className='order-content'>{item.content}</p>
              <p className='order-des'>
                <span className='order-newprice'>¥{item.newprice}</span>
                <span className='order-price'>¥{item.price}</span>
              </p>
            </div>
          ) 
          return (
            <div className="order-item" key={index}>
              <VList {...item}  info={Info} tab={Tab}></VList>
              <div className="order-prefer">
                <List>
                    <Item
                      arrow="horizontal"
                      onClick={() => { }}
                    >
                      优惠券
                    </Item>
                </List>
              </div>
            </div>
          )
        })
      }
    </ul>
  );
}

class Order extends Component {
  constructor(props) {
    super(props);
    this.state = {
     
    }
  }
  handleClick = () => {
    console.log(1);
  }
    render() {
        return (
          <div className="order-wrapper">
            <Flex>
              <Flex.Item>
                <NavBar
                  style={{"height": "44px"}}
                  className="order-tab"
                  mode="light"
                  icon={<i className="iconfont iconiconfront-68"></i>}
                >
                  课程报名
                </NavBar>
                <div className="order-information">
                  <i className="iconfont iconiconfront-6 order-addsize"></i>
                  <div className="order-infotext">完善报名信息</div>
                  <i className="iconfont iconiconfront-70 order-next"></i>
                </div>
                <div className="order-list">
                    <OrderList list={mockData}/>
                </div>
              </Flex.Item>
            </Flex>
          </div>
      
        )
    }

}

export default Order;