import React from 'react';
import ReactDOM from 'react-dom';
import { createStore, applyMiddleware, compose } from 'redux'
import { Provider } from 'react-redux'
import thunk from 'redux-thunk'
import { logger } from 'redux-logger'
// import Router from './router';
import store from './store'
import App from './App';

import './index.css'
// 默认样式
import './styles/index.scss';

// iconfont
import './font/iconfont.css';

var devTools = window.devToolsExtension ? window.devToolsExtension() : null;
var tooltore = '';
// var store = createStore(reducer,compose(
//     applyMiddleware(thunk,logger),
//     devTools
// ))
if (window.devToolsExtension) {
        tooltore = createStore(store, compose(
                applyMiddleware(thunk, logger),
                devTools
        ))
} else {
        tooltore = createStore(store, compose(
                applyMiddleware(thunk, logger)
        ))
}

// ReactDOM.render(
//         <Router />,
//         document.getElementById('root'));

ReactDOM.render(
        <Provider store={tooltore}>
                <App />
        </Provider>,
        document.getElementById('root'));